Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignBand

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.engine.design.JRDesignElementGroup
              net.sf.jasperreports.engine.design.JRDesignBand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBand, JRChild, JRCloneable, JRElementGroup, JRVisitable

    public class JRDesignBand

extends JRDesignElementGroup
implements JRBand

Version:
  $Id: JRDesignBand.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected int` | `height`
`protected JRExpression` | `printWhenExpression`
`static java.lang.String` | `PROPERTY_HEIGHT`
`static java.lang.String` | `PROPERTY_PRINT_WHEN_EXPRESSION`
`protected SplitTypeEnum` | `splitTypeValue`

Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup
`PROPERTY_CHILDREN, PROPERTY_ELEMENT_GROUP`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Fields inherited from interface net.sf.jasperreports.engine.JRBand
`PROPERTY_SPLIT_TYPE, SPLIT_TYPE_IMMEDIATE, SPLIT_TYPE_PREVENT, SPLIT_TYPE_STRETCH`

Constructor Summary
`JRDesignBand()`

Method Summary
`java.lang.Object` | `clone()`
`int` | `getHeight()`
`JROrigin` | `getOrigin()` Returns the band origin, i.e. its location/role within the report (e.g. detail/title/group header/etc).
`JRExpression` | `getPrintWhenExpression()` Returns the boolean expression that specifies if the band will be displayed.
`java.lang.Byte` | `getSplitType()` Deprecated. Replaced by `getSplitTypeValue()`.
`SplitTypeEnum` | `getSplitTypeValue()` Specifies the band split behavior.
`boolean` | `isSplitAllowed()` Deprecated. Replaced by `getSplitType()`.
`void` | `setHeight(int height)`
`void` | `setPrintWhenExpression(JRExpression expression)`
`void` | `setSplitAllowed(boolean isSplitAllowed)` Deprecated. Replaced by `setSplitType(Byte)`.
`void` | `setSplitType(java.lang.Byte splitType)` Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.
`void` | `setSplitType(SplitTypeEnum splitTypeValue)`

Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup
`addElement, addElement, addElementGroup, addElementGroup, getEventSupport, removeElement, removeElementGroup, setElementGroup`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Field Detail

### PROPERTY_HEIGHT

    public static final java.lang.String PROPERTY_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_PRINT_WHEN_EXPRESSION

    public static final java.lang.String PROPERTY_PRINT_WHEN_EXPRESSION

See Also:
  Constant Field Values

### height

    protected int height

### splitTypeValue

    protected SplitTypeEnum splitTypeValue

### printWhenExpression

    protected JRExpression printWhenExpression

Constructor Detail

### JRDesignBand

    public JRDesignBand()

Method Detail

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `JRBand`

### setHeight

    public void setHeight(int height)

### isSplitAllowed

    public boolean isSplitAllowed()

  Deprecated. Replaced by `getSplitType()`.

  Description copied from interface: `JRBand`
  Specifies if the band can be split between two pages.

  Specified by:
    `isSplitAllowed` in interface `JRBand`

### setSplitAllowed

    public void setSplitAllowed(boolean isSplitAllowed)

  Deprecated. Replaced by `setSplitType(Byte)`.

  Specified by:
    `setSplitAllowed` in interface `JRBand`

### getSplitType

    public java.lang.Byte getSplitType()

  Deprecated. Replaced by `getSplitTypeValue()`.

  Description copied from interface: `JRBand`
  Specifies the band split behavior.

  Specified by:
    `getSplitType` in interface `JRBand`

### getSplitTypeValue

    public SplitTypeEnum getSplitTypeValue()

  Description copied from interface: `JRBand`
  Specifies the band split behavior.

  Specified by:
    `getSplitTypeValue` in interface `JRBand`

### setSplitType

    public void setSplitType(java.lang.Byte splitType)

  Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.

  Specified by:
    `setSplitType` in interface `JRBand`

### setSplitType

    public void setSplitType(SplitTypeEnum splitTypeValue)

  Specified by:
    `setSplitType` in interface `JRBand`

### getPrintWhenExpression

    public JRExpression getPrintWhenExpression()

  Description copied from interface: `JRBand`
  Returns the boolean expression that specifies if the band will be displayed.

  Specified by:
    `getPrintWhenExpression` in interface `JRBand`

### setPrintWhenExpression

    public void setPrintWhenExpression(JRExpression expression)

### getOrigin

    public JROrigin getOrigin()

  Returns the band origin, i.e. its location/role within the report (e.g. detail/title/group header/etc). The location is automatically set when the band is inserted into the report (via one of the `setTitle`/ `setGroupHeader` methods).

  Returns:
    the band origin

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElementGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com